require("map.lua")
require("player.lua")

function love.load()
    Map.load()
    Player.load()
end

function love.keypressed(key)
	if state.keypressed then state.keypressed(key) end
end

function love.keyreleased(key)
	if state.keyreleased then state.keyreleased(key) end
end

function love.update(dt)
	Map:update(dt)
	Player:update(dt)
end

function love.draw()	
	Map:draw()
	Player:draw()
end
